<template lang="html">
  <div class="app">
    <div class="refill-info-box">
      <div class="refill-info__block">
        <div class=" ui-signin-password input-class">
            <p>Сумма вывода</p>
            <input type="number" name="sum" placeholder="1234567" required>
        </div>
        <div class=" ui-signin-password input-class">
            <p>Номер карты</p>
            <masked-input v-model="phone" mask="####-####-####-####"
            required />
        </div>
        <div class=" ui-signin-password input-class">
            <p>E-mail</p>
            <input type="email" name="email" placeholder="example@email.com" required>
        </div>
        <div class=" ui-signin-password input-class">
            <p>Телефон</p>
            <masked-input v-model="phone" mask="\+\38 (0##) ##-##-###"
            required />
        </div>
      </div>
      <div class="refill-info__buton">
        <ui-button
        v-for="(title, key) in signin"
        :key="key"
        :title="title"
        ></ui-button>
      </div>
    </div>
    <div
    class="balance-info-box"
    v-for="(balanceItem, key) in balanceInfo"
    :key="key">
      <p class="wallet"><span class="text-bold">Ваш баланс:</span> {{ balanceItem.balanceUser }} {{ balanceItem.currencySign }}</p>

      <p class="text-bold title-withdraw mb-2 mt-2">{{ balanceItem.titleWithdraw }}</p>
      <p class="grey mt-13">Без комиссии: {{ balanceItem.currencySign }} {{ balanceItem.availableSumTax }}</p>
      <p class="grey mt-6">C комиссией: {{ balanceItem.currencySign }} {{ balanceItem.availableSumTaxNo }}</p>
      <p></p>
    </div>
  </div>
</template>

<script>
import MaskedInput from 'vue-masked-input'

export default {
  components: {
    MaskedInput
  },
  data () {
    return {
      signin: [
        {
          title: 'Вывести'
        }
      ],
      balanceInfo: [
        {
          titleWithdraw: 'Доступная для вывода сумма:',
          balanceUser: '100.000.00',
          currencySign: '$',
          numberUser: '1234567',
          availableSumTax: '000.000.000',
          availableSumTaxNo: '000.000.000'
        }
      ]
    }
  }
}
</script>

<style lang="scss" scoped>
  .ui-signin-password {
    margin-top: -8px;
    p {
      margin: 22px 0 2px 0;
      font-size: 16px;
    }
    input {
      padding: 15px 11px;
      width: 95%;
      height: 8px;
      border-radius: 5px;
      border: 1px solid black;

      outline: none;
    }
  }
  .grey {
    color: grey;

    font-size: 12px;
    margin: 0;
  }
  .mt-13 {
    margin-top: 13px;
  }
  .mt-6 {
    margin-top: 6px;
  }
  .refill-info__buton {
    margin-top: 20px;
    margin-right: 0px;
  }
  .balance-info-box {
    color: black;

    margin: 42px 0 30px 0;
    .wallet {
      font-size: 21px;
      margin-bottom: 20px;
    }
    .title-withdraw {
      font-size: 14px;
      letter-spacing: 0px;
      margin-top: 22px;
    }
  }
  .refill-info-box {
    display: flex;
    align-items: center;
    justify-content: space-between;
    .refill-info__block {
      width: 100%;
      padding-top: 18px;
      div {
        input {
          width: 50%;
        }
        p {
          color: black;
        }
      }
    }
  }

  .input-class {
    margin-top: -8px;
    p {
      margin: 22px 0 2px 0;
      font-size: 16px;
    }
    input {
      padding: 15px 38px;
      width: 95%;
      height: 8px;
      border-radius: 5px;
      border: 1px solid black;

      outline: none;
    }
  }
  .text-bold {
    font-weight: bold;
  }
</style>
